# This file created by conda-build 3.20.5
# ------------------------------------------------

package:
    name: airflow
    version: 1.10.12
source:
    fn: airflow-1.10.12.tar.gz
    sha256: 9a281d4f2aff0a791646a64b226664bcfb9bce7749f7944684df5ead87074c1b
    url: https://github.com/apache/incubator-airflow/archive/1.10.12.tar.gz
build:
    noarch: false
    noarch_python: false
    number: '0'
    script: install_airflow.sh
    string: py36h06a4308_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.10.14 0
        - certifi 2020.6.20 pyhd3eb1b0_3
        - docutils 0.16 py36_1
        - gitdb 4.0.5 py_0
        - gitpython 3.1.11 pyhd3eb1b0_1
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20191231 h14c3975_1
        - libffi 3.3 he6710b0_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1h h7b6447c_0
        - pip 20.2.4 py36h06a4308_0
        - python 3.6.12 hcff3b4d_2
        - readline 8.0 h7b6447c_0
        - setuptools 50.3.1 py36h06a4308_1
        - smmap 3.0.4 py_0
        - sqlite 3.33.0 h62c20be_0
        - tk 8.6.10 hbc83047_0
        - wheel 0.35.1 pyhd3eb1b0_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - alembic >=1.0,<2.0
        - argcomplete >=1.10.0
        - attrs >=19.3,<19.4
        - cached-property >=1.5.0,<1.6.0
        - cattrs >=0.9,<0.10.0
        - colorlog >=4.0.2
        - configparser >=3.5.0
        - croniter >=0.3.17,<0.4
        - dill >=0.2.2,<0.4
        - flask >=1.1.0,<2.0
        - flask-admin ==1.5.4
        - flask-appbuilder >=2.2,<2.3
        - flask-caching >=1.3.3
        - flask-login >=0.3,<0.5
        - flask-swagger ==0.2.13
        - flask-wtf >=0.14.2,<0.15
        - funcsigs >=1.0.0,<2.0.0
        - future >=0.16.0,<0.19
        - gunicorn >=19.5.0
        - iso8601 >=0.1.12
        - jinja2 >=2.10.1
        - json-merge-patch ==0.2
        - jsonschema >=3.0.0,<3.1.0
        - lazy-object-proxy >=1.3.0
        - markdown >=2.5.2
        - pandas >=0.17.1
        - pendulum ==1.4.4
        - psutil >=4.2.0,<6.0.0
        - pygments >=2.0.1,<3.0
        - python >=3.6,<3.7.0a0
        - python-daemon >=2.1.1
        - python-dateutil >=2.3,<3
        - python-graphviz >=0.12
        - requests >=2.20.0,<3
        - setproctitle >=1.1.8,<2
        - sqlalchemy >=1.3.0,<1.4.0
        - sqlalchemy-jsonfield >=0.9.0,<0.10.0
        - tabulate >=0.7.5,<0.9
        - tenacity
        - termcolor >=1.1.0
        - text-unidecode >=1.2,<2.0
        - thrift >=0.9.2
        - typing_extensions >=3.7.4
        - tzlocal >=1.4
        - unicodecsv >=0.14.1
        - werkzeug
        - zope.deprecation >=4.0,<5.0
test:
    commands:
        - airflow initdb
    imports:
        - airflow
        - airflow.api
        - airflow.api.auth
        - airflow.api.auth.backend
        - airflow.api.client
        - airflow.api.common
        - airflow.api.common.experimental
        - airflow.bin
        - airflow.config_templates
        - airflow.contrib
        - airflow.contrib.auth
        - airflow.contrib.auth.backends
        - airflow.contrib.hooks
        - airflow.contrib.kubernetes
        - airflow.contrib.operators
        - airflow.contrib.sensors
        - airflow.contrib.task_runner
        - airflow.contrib.utils
        - airflow.dag
        - airflow.example_dags
        - airflow.example_dags.subdags
        - airflow.executors
        - airflow.hooks
        - airflow.lineage
        - airflow.lineage.backend
        - airflow.macros
        - airflow.migrations
        - airflow.migrations.versions
        - airflow.operators
        - airflow.security
        - airflow.sensors
        - airflow.task
        - airflow.task.task_runner
        - airflow.ti_deps
        - airflow.ti_deps.deps
        - airflow.utils
        - airflow.utils.log
        - airflow.www
        - airflow.www.api
        - airflow.www.api.experimental
        - airflow.www_rbac
        - airflow.www_rbac.api
        - airflow.www_rbac.api.experimental
about:
    description: 'Use airflow to author workflows as directed acyclic graphs (DAGs)

        of tasks. The airflow scheduler executes your tasks on an array of

        workers while following the specified dependencies. Rich command

        line utilities make performing complex surgeries on DAGs a snap.

        The rich user interface makes it easy to visualize pipelines

        running in production, monitor progress, and troubleshoot issues

        when needed.


        When workflows are defined as code, they become more maintainable,

        versionable, testable, and collaborative.

        '
    dev_url: https://github.com/apache/airflow
    doc_url: http://pythonhosted.org/airflow/profiling.html
    home: http://airflow.apache.org
    license: Apache 2.0
    license_file: LICENSE
    summary: 'Airflow is a platform to programmatically author, schedule and monitor

        workflows

        '
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - halldc
        - sodre
        - xylar
